function ImProc01(~,~)

h = guihandles;
h.pb_Stop.Visible = true(1);
%Gather the parameters from the GUI
gatherParameters
dataStructure = h.pb_export.UserData;
parameters = dataStructure.parameters;
%Initialize output structure
B = struct();
B.leadingEdgeProfiles = [];
B.leadingEdgeProfilesFilled = [];
B.trailingEdgeProfiles = [];
B.trailingEdgeProfilesFilled = [];

B.LWvar = [];


D = h.tab_images.Data;
for sn = 1:length(dataStructure.Select)
    dataStructure.Select{sn} = D{sn,1};
end

S = dataStructure.Select;
ts = struct;
ts.EventName = '';

for n = 1:length(S)
    h.lb_status.String = ['Processing image ' num2str(n) ' of ' num2str(length(S))];
    drawnow
    if S{n}
        h.lb_status.UserData = n;
        ts.Indices = n;
        f = dataStructure.folder{n};
        fname = dataStructure.fileName{n};
        parameters.filename = [f fname];
        %parameters.rawImages = imread(parameters.filename);
        
        if isempty(dataStructure.rawImagesAdjusted{n})
            parameters.rawImages = dataStructure.rawImages{n};
        else
            parameters.rawImages = dataStructure.rawImagesAdjusted{n};
        end
        
        Output = SEM_line_Edge_detect_s07(parameters);
        
        B.PS = Output.PS;
        ps = B.PS;
        B.Arc = Output.Arc;
        
        OLP = Output.leadingEdgeProfilesFilled;
        OLT = Output.trailingEdgeProfilesFilled;
        
        %Remove distortion
        if h.auto_distortion.Value
            rald = 1;
        else
            rald = 0;
        end
        
        OLPM = mean(OLP - mean(OLP),2);
        OLTM = mean(OLT - mean(OLT),2);
        
        %TO DO: explicitate smoothing factor as a parameter
        smoothingFactor = 11;
        OLP = OLP - rald*smooth(OLPM,smoothingFactor);
        OLT = OLT - rald*smooth(OLTM,smoothingFactor);
        
        
        LWvar = OLP-OLT;
        
        B.leadingEdgeProfiles = Output.leadingEdgeProfiles;
        B.trailingEdgeProfiles = Output.trailingEdgeProfiles;
        B.leadingEdgeProfilesFilled = Output.leadingEdgeProfilesFilled;
        B.trailingEdgeProfilesFilled = Output.trailingEdgeProfilesFilled;
        
        B.leadingEdgeProfilesFilledCorrected = OLP;
        B.trailingEdgeProfilesFilledCorrected = OLT;
        
        B.LWvar = LWvar;
        R = measureLines04s(B,parameters);
        
        
        
        dataStructure.CentersB{n} = Output.CentersB;
        dataStructure.CentersP{n} = Output.CentersP;
        
        dataStructure.ImagesRC{n} = Output.Arc;
        dataStructure.ProfilesL{n} = Output.leadingEdgeProfiles;
        dataStructure.ProfilesR{n} = Output.trailingEdgeProfiles;
        dataStructure.ProfilesLFilled{n} = Output.leadingEdgeProfilesFilled;
        dataStructure.ProfilesRFilled{n} = Output.trailingEdgeProfilesFilled;
        
        dataStructure.LeProfilesBridged{n} = Output.leadingEdgeProfilesBridged;
        dataStructure.TeProfilesBridged{n} = Output.trailingEdgeProfilesBridged;
        dataStructure.LeProfilesPinched{n} = Output.leadingEdgeProfilesPinched;
        dataStructure.TeProfilesPinched{n} = Output.trailingEdgeProfilesPinched;
        dataStructure.LeProfilesSpikes{n} = Output.leadingEdgeProfilesSpikes;
        dataStructure.TeProfilesSpikes{n} = Output.trailingEdgeProfilesSpikes;
        dataStructure.LeProfilesUndetected{n} = Output.leadingEdgeProfilesUndetected;
        dataStructure.TeProfilesUndetected{n} = Output.trailingEdgeProfilesUndetected;
        
        %%%%
        dataStructure.PS(n) = ps;
        dataStructure.PSD_LWR{n} = R.PSD;
        dataStructure.PSD_LWR_fit{n} = R.PSD_LWR_fit;
        dataStructure.PSD_LWR_fit_unbiased{n} = R.PSD_LWR_fit_unbiased;
        dataStructure.freq{n} = R.freq;
        dataStructure.HHCorrF{n} = R.HHCorrFunc;
        dataStructure.HHCorrFFit{n} = R.HHCorrFuncFit;
        dataStructure.LWRCorrLength{n} = R.LWRCorrLength;
        
        dataStructure.r{n} = R.r;
        dataStructure.LinesCD{n} = R.LinesCD;
        dataStructure.LinesCenters{n} = R.LinesCenters;
        
        h.pb_export.UserData = dataStructure;
        D{n,3} = R.mCD;
        D{n,4} = R.stdCD;
        D{n,5} = length(R.LinesCD);
        D{n,6} = R.LWR3s;
        D{n,7} = R.LWR;
        D{n,8} = R.LWR_unbiased;
        D{n,9} = R.LWR_fit_unbiased;
        
        FN = fieldnames(parameters);
        cntp = 0;
        for kk = 1:length(FN)
            if (isnumeric(parameters.(FN{kk})) || islogical(parameters.(FN{kk}))) &&...
                    size(parameters.(FN{kk}),1)==1 && size(parameters.(FN{kk}),2)==1
                cntp = cntp+1;
                if strcmp(FN{kk},'ps')
                    D{n,cntp+9} = dataStructure.PS(n);
                else
                    D{n,cntp+9} = parameters.(FN{kk});
                end
            end
        end
        displayData01
        h.tab_images.Data = D(:,1:9);
        drawnow
        
    end
    h.tab_images.UserData = D;
    if h.pb_Stop.UserData
        break
    end
end
h.pb_Stop.UserData = false(1);
h.pb_Stop.Visible = false(1);

% cnt = 0;
% for n=1:length(S)
%     if S{n}
%         cnt=cnt+1;
%     end
% end
% size_images = zeros(cnt,2);
% cnt = 0;
% for n=1:length(S)
%     if S{n}
%         cnt=cnt+1;
%         size_images(cnt,1) = size(
%     end
% end

if h.dispAverage.Value
    cnt = 0;
    for n=1:length(S)
        if S{n}
            cnt=cnt+1;
            if ~isfield(dataStructure,'AveragePSD_LWR')
                dataStructure.AveragePSD_LWR = dataStructure.PSD_LWR{n};
            else
                dataStructure.AveragePSD_LWR = dataStructure.AveragePSD_LWR + ...
                    dataStructure.PSD_LWR{n};
            end
            if ~isfield(dataStructure,'AveragePSD_LWR_Fit')
                dataStructure.AveragePSD_LWR_Fit = dataStructure.PSD_LWR_fit{n};
            else
                dataStructure.AveragePSD_LWR_Fit = dataStructure.AveragePSD_LWR_Fit + ...
                    dataStructure.PSD_LWR_fit{n};
            end
            if ~isfield(dataStructure,'AveragePSD_LWR_Fit_Unbiased')
                dataStructure.AveragePSD_LWR_Fit_Unbiased = dataStructure.PSD_LWR_fit_unbiased{n};
            else
                dataStructure.AveragePSD_LWR_Fit_Unbiased = dataStructure.AveragePSD_LWR_Fit_Unbiased + ...
                    dataStructure.PSD_LWR_fit_unbiased{n};
            end
            if ~isfield(dataStructure,'AverageHHCF_LWR')
                dataStructure.AverageHHCF_LWR = dataStructure.HHCorrF{n};
                dataStructure.AverageHHCF_LWR = dataStructure.HHCorrF{n};
            else
                dataStructure.AverageHHCF_LWR = dataStructure.AverageHHCF_LWR + ...
                    dataStructure.HHCorrF{n};
            end
        end
    end
    dataStructure.AveragePSD_LWR = dataStructure.AveragePSD_LWR/cnt;
    dataStructure.AveragePSD_LWR_Fit = dataStructure.AveragePSD_LWR_Fit/cnt;
    dataStructure.AveragePSD_LWR_Fit_Unbiased = dataStructure.AveragePSD_LWR_Fit_Unbiased/cnt;
    dataStructure.AverageHHCF_LWR = dataStructure.AverageHHCF_LWR/cnt;
end
h.lb_status.String = 'Idle';
h.pb_export.UserData = dataStructure;