function displayData01(~,~)
h = guihandles;
ax = get(h.LinesTab,'userdata');
axp = get(h.ParametersTab,'userdata');
dataStructure = h.pb_export.UserData;


%Check for processed images
if isfield(dataStructure,'ImagesRC')
    ImagesRC = dataStructure.ImagesRC;
end
%Check for unprocessed images
if isfield(dataStructure,'rawImages')
    rawImages = dataStructure.rawImages;
    rawImagesAdjusted = dataStructure.rawImages;
end

id = h.lb_status.UserData;
if isempty(id)
    id = 1;
    h.lb_status.UserData = 1;
end
if ~exist('ImagesRC','var')
    hold(ax(1),'off')
    if isempty(rawImagesAdjusted{id})
        I = rawImages{id};
    else
        I = rawImagesAdjusted{id};
    end
    imagesc(ax(1),I);axis(ax(1),'image');colormap(gray)
    title(ax(1),dataStructure.fileName{id},'interpreter','none')
    hold(axp(1),'off')
    imagesc(axp(1),I);axis(axp(1),'image');colormap(gray)
    title(axp(1),dataStructure.fileName{id},'interpreter','none')
else
    if ~isempty(ImagesRC{id})
        if isempty(rawImagesAdjusted{id})
            I = rawImages{id};
        else
            I = rawImagesAdjusted{id};
        end
        hold(ax(1),'off')
        imagesc(ax(1),ImagesRC{id});axis(ax(1),'image');
        colormap(gray)
        title(ax(1),dataStructure.fileName{id},'interpreter','none')
        hold(axp(1),'off')
        imagesc(axp(1),I);axis(axp(1),'image');colormap(gray)
        title(axp(1),dataStructure.fileName{id},'interpreter','none')
        Le = dataStructure.ProfilesLFilled{id};
        Te = dataStructure.ProfilesRFilled{id};
        LeB = dataStructure.LeProfilesBridged{id};
        TeB = dataStructure.TeProfilesBridged{id};
        LeP = dataStructure.LeProfilesPinched{id};
        TeP = dataStructure.TeProfilesPinched{id};
        LeU = dataStructure.LeProfilesUndetected{id};
        TeU = dataStructure.TeProfilesUndetected{id};
        LeS = dataStructure.LeProfilesSpikes{id};
        TeS = dataStructure.TeProfilesSpikes{id};
        
        %CentersB = dataStructure.CentersB{id};
        %CentersP = dataStructure.CentersP{id};
        hold(ax(1),'on')
        for m = 1:size(Le,2)
            plot(ax(1),squeeze(Le(:,m)),1:size(ImagesRC{id},1),'-g','linewidth',1)
            plot(ax(1),squeeze(Te(:,m)),1:size(ImagesRC{id},1),'-g','linewidth',1)
            if h.pb_Errors.UserData
                plot(ax(1),squeeze(LeB(:,m)),1:size(ImagesRC{id},1),'.r','markersize',15)
                plot(ax(1),squeeze(TeB(:,m)),1:size(ImagesRC{id},1),'.r','markersize',15)
                plot(ax(1),squeeze(LeP(:,m)),1:size(ImagesRC{id},1),'.b','markersize',15)
                plot(ax(1),squeeze(TeP(:,m)),1:size(ImagesRC{id},1),'.b','markersize',15)
                plot(ax(1),squeeze(LeS(:,m)),1:size(ImagesRC{id},1),'.k','markersize',15)
                plot(ax(1),squeeze(TeS(:,m)),1:size(ImagesRC{id},1),'.k','markersize',15)
                plot(ax(1),squeeze(LeU(:,m)),1:size(ImagesRC{id},1),'.y','markersize',15)
                plot(ax(1),squeeze(TeU(:,m)),1:size(ImagesRC{id},1),'.y','markersize',15)
            end
        end
        hold(ax(1),'off')
        %         if ~isempty(CentersB)
        %             plot(ax(1),CentersB(:,2),CentersB(:,1),'o','linewidth',2,'color','r')
        %             hold(ax(1),'off')
        %         end
        
        if strcmp(h.bg_SelectPlot.SelectedObject.String,'HHCF')
            if h.dispAverage.Value
                HHCF = dataStructure.AverageHHCF_LWR;
            else
                HHCF = dataStructure.HHCorrF{id};
                HHCFFit = dataStructure.HHCorrFFit{id};
                LWRCorrLength = dataStructure.LWRCorrLength{id};
            end
            r = dataStructure.r{id};
            
            loglog(ax(2),r,HHCF,r,HHCFFit);axis(ax(2),'tight')
            hold(ax(2),'on')
            loglog(ax(2),[LWRCorrLength LWRCorrLength],get(ax(2),'ylim'),'linewidth',2)
            hold(ax(2),'off')
            
            
            xlabel(ax(2),'nm')
        elseif strcmp(h.bg_SelectPlot.SelectedObject.String,'PSD')
            
            if h.dispAverage.Value
                LWR = dataStructure.AveragePSD_LWR;
                LWR_fit = dataStructure.AveragePSD_LWR_Fit;
                LWR_fit_unbiased = dataStructure.AveragePSD_LWR_Fit_Unbiased;
                freq = dataStructure.freq{1};
            else
                LWR = dataStructure.PSD_LWR{id};
                LWR_fit = dataStructure.PSD_LWR_fit{id};
                LWR_fit_unbiased = dataStructure.PSD_LWR_fit_unbiased{id};
                %LWR_nf = dataStructure.PSD_LWR_nf{id};
                freq = dataStructure.freq{id};
            end
            loglog(ax(2),freq,LWR(1:length(freq)),freq,LWR_fit)
            xlabel(ax(2),'nm^{-1}')
            ylabel(ax(2),'nm^{3}')
            axis(ax(2),'tight')
            ylim = get(ax(2),'ylim');
            xlim = get(ax(2),'xlim');
            hold(ax(2),'on')
            loglog(ax(2),freq,LWR_fit_unbiased)
            set(ax(2),'ylim',ylim,'xlim',xlim)
            hold(ax(2),'off')
        else
            LCDU = dataStructure.LinesCD{id};
            LCenters = dataStructure.LinesCenters{id};
            plot(ax(2),LCenters,LCDU,'o-')
            axis(ax(2),'tight')
            xlabel(ax(2),'nm')
        end
        %imagesc(ax(1),rawImages{id});axis(ax(1),'image');colormap(gray)
        h.pb_measure.UserData = id;
    else
        if isempty(rawImagesAdjusted{id})
            I = rawImages{id};
        else
            I = rawImagesAdjusted{id};
        end
        imagesc(ax(1),I);axis(ax(1),'image');colormap(gray)
        title(ax(1),dataStructure.fileName{id},'interpreter','none')
        imagesc(axp(1),I);axis(axp(1),'image');colormap(gray)
        title(axp(1),dataStructure.fileName{id},'interpreter','none')
    end
    
end
