function [leadingEdgeProfiles,trailingEdgeProfiles] = edgeDetectThreshold(leadingEdges,trailingEdges,Arc,CD,b,threshold,fwhmf)

leadingEdgeProfiles = zeros(size(Arc,1),length(leadingEdges));
trailingEdgeProfiles = zeros(size(Arc,1),length(trailingEdges));
sig2 = round(-0.25*fwhmf^2/log(0.5));
if sig2>0
    H = exp(-(-5:5).^2/sig2);
    H = H/sum(H);
    Arc = filter2(H,Arc,'same');
    %Arc = wiener2(Arc,[1,sig2]);
end
for n = 1:length(leadingEdges)
    for m = 1:size(Arc,1)
        s1 = max(leadingEdges(n)-round(CD*b),1);
        s2 = min(leadingEdges(n)+round(CD*b),size(Arc,2));
        
        Arcl = Arc(m,s1:s2);
        
        segm = Arcl;
        
        p1 = find(segm>threshold,1,'first');
        p2 = find(segm<=threshold,1,'last');
        if isempty(p1)
            p = leadingEdges(n)+CD/2;
        elseif isempty(p2)
            p = leadingEdges(n)-CD/2;
        else
            p = (threshold-segm(p1))*(p1-p2)/(segm(p1)-segm(p2))+p2;
            p = p+s1;
            %p = max([p,leadingEdges(n)-CD/2]); %minumum limit for leading edge
            %p = min([p,leadingEdges(n)+CD/2]); %maximum limit for leading edge
        end
        leadingEdgeProfiles(m,n) = p;
        
        s1b = max(trailingEdges(n)-round(CD*b),1);
        s2b = min(trailingEdges(n)+round(CD*b),size(Arc,2));
        
        Arct = Arc(m,s1b:s2b);
        segm = Arct;
        
        p1 = find(segm>threshold,1,'last');
        p2 = find(segm<=threshold,1,'first');
        if isempty(p1)
            p = trailingEdges(n)-CD/2;
        elseif isempty(p2)
            p = trailingEdges(n)+CD/2;
        else
            p = (threshold-segm(p1))*(p1-p2)/(segm(p1)-segm(p2))+p2;
            p = p+s1b-2;
            %p = max([p,trailingEdges(n)-CD/2]); %minumum limit for trailing edge
            %p = min([p,trailingEdges(n)+CD/2]); %maximum limit for trailing edge
        end
        trailingEdgeProfiles(m,n) = p;
%         figure(5)
%         plot(s1:s2b,Arc(m,s1:s2b),s1:s2,Arc(m,s1:s2),'r',...
%             s1b:s2b,Arc(m,s1b:s2b),'r',...
%             leadingEdgeProfiles(m,n),threshold,'ok',...
%             trailingEdgeProfiles(m,n),threshold,'ok')
%         waitforbuttonpress
    end
end
end


