function [leadingEdgeProfiles,trailingEdgeProfiles] = edgeDetectfPoly(leadingEdges,trailingEdges,Arc,CD,b,threshold)
%polynomial fitting

leadingEdgeProfiles = zeros(size(Arc,1),length(leadingEdges));
trailingEdgeProfiles = zeros(size(Arc,1),length(trailingEdges));
for n = 1:length(leadingEdges)
    Len = leadingEdges(n);
    Ten = trailingEdges(n);
    parfor m = 1:size(Arc,1)
        
        s1 = max(Len-round(CD*b),1);
        s2 = min(Len+round(CD*b),size(Arc,2));
        
        Arcl = Arc(m,s1:s2);
        %Arcl = smooth(Arc(m,s1:s2));
        
        segm = Arcl;
        %         p = find(segm>threshold,1,'first');
        %         if isempty(p)
        %             leadingEdgeProfiles(m,n)=nan;
        %         elseif (p == s2-s1+1)
        %             leadingEdgeProfiles(m,n)=nan;
        %         else
        y = segm;
        x = s1:s2;
        [pp1,~,Mu1] = polyfit(x,y,4);
        pp = pp1;
        pp(end)=pp(end)-threshold;
        R1 = roots(pp)*Mu1(2)+Mu1(1);
        R1 = R1(~abs(imag(R1)));
        R1 = R1(R1<x(end) & R1>x(1));
        if ~isempty(R1)
            [~,id] = min(abs(R1-Len));
            %[~,id] = min(R1);
            p = R1(id);
        else
            p = nan;
        end
        leadingEdgeProfiles(m,n) = p;
        % end
        
        s1b = max(Ten-round(CD*b),1);
        s2b = min(Ten+round(CD*b),size(Arc,2));
        segm = (Arc(m,s1b:s2b));
        %         p = find(segm>threshold,1,'last');
        %         if isempty(p)
        %             trailingEdgeProfiles(m,n)=nan;
        %         elseif (p == s2b-s1b+1)
        %             trailingEdgeProfiles(m,n)=nan;
        %         else
        y = segm;
        x = s1b:s2b;
        [pp2,~,Mu] = polyfit(x,y,4);
        pp = pp2;
        pp(end)=pp(end)-threshold;
        R2 = roots(pp)*Mu(2)+Mu(1);
        R2 = R2(~abs(imag(R2)));
        R2 = R2(R2<x(end) & R2>x(1));
        if ~isempty(R2)
            [~,id] = min(abs(R2-Ten));
            %[~,id] = max(R2);
            p = R2(id);
        else
            p = nan;
        end
        trailingEdgeProfiles(m,n) = p;
        
        %end
%         if (n==17 || n ==18) && (m==370 || m==400)
%             disp([n,m])
%             figure(5)
%             plot(s1:s2b,Arc(m,s1:s2b),s1:s2,Arc(m,s1:s2),'r',...
%                 s1b:s2b,Arc(m,s1b:s2b),'r',...
%                 s1:s2,polyval(pp1,s1:s2,[],Mu1),'g',...
%                 s1b:s2b,polyval(pp2,s1b:s2b,[],Mu),'g')
%             waitforbuttonpress
%         end
        %     end
    end
end