function gatherParameters(~,~)

h = guihandles;

dataStructure = h.pb_export.UserData;

%Gather the parameters from the GUI
parameters = struct;
parameters.SEM_model = h.SEMmodel.Value;
parameters.ROI_X1 = ceil(str2double(h.X1.String));
parameters.ROI_X2 = floor(str2double(h.X2.String));
parameters.ROI_Y1 = ceil(str2double(h.Y1.String));
parameters.ROI_Y2 = floor(str2double(h.Y2.String));

parameters.sx = 0;
parameters.sy = 0;

parameters.rotation = h.auto_rotation.Value;
parameters.ps = str2double(h.parmPS.String);
parameters.threshold = str2double(h.ed_Threshold.String);
parameters.spikePeak = str2double(h.ed_spikePeak.String);
parameters.CD_fraction = str2double(h.CD_fraction.String);
parameters.FN = str2double(h.parmFN.String);
parameters.LN = str2double(h.parmLN.String);
parameters.CF = str2double(h.ed_CF.String);
parameters.ExN = str2double(h.parmExN.String);
parameters.ExNe = str2double(h.parmExNe.String);
parameters.Alpha = str2double(h.ed_alpha.String);
parameters.MI = str2double(h.ed_MIT.String);
parameters.MFE = str2double(h.ed_MFE.String);
parameters.MinPeakProminence = str2double(h.ed_peakProm.String);
parameters.MinPeakDistance = str2double(h.ed_peakDist.String);
%parameters.PSDmodel = h.PSDmodel.String{h.PSDmodel.Value};
parameters.RemoveDistortion = h.auto_distortion.Value;
parameters.RemoveGradient = h.parmRemGrad.Value;
parameters.BridgingThreshold = str2double(h.parmBridgingTh.String);
parameters.PinchingThreshold = str2double(h.parmPinchingTh.String);
parameters.PSDModel = h.PSDmodel.Value;
parameters.EdgeDetectionMethod = h.edgefitF.Value;

parameters.LinesTone = h.Pol2.Value; %Positive tone if true
%

dataStructure.parameters = parameters;
h.pb_export.UserData = dataStructure;